Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSDocumentModel.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSDocumentModel.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSDocumentModel.java	(revision 25635)
@@ -1681,5 +1681,5 @@
 
 		String srcFile = info.getInfo("src-file");
-		Vector data = info.getMultiInfo("assoc-file");
+		Vector<String> data = info.getMultiInfo("assoc-file");
 
 		ArrayList<String> assocFiles = new ArrayList<String>();
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSFile.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSFile.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSFile.java	(revision 25635)
@@ -243,5 +243,5 @@
 	 * this is not so good because sites may be on a different computer
 	 */
-	static public String stylesheetFile(String gsdl3_home, String site_name, String collection, String interface_name, ArrayList base_interfaces, String filename)
+	static public String stylesheetFile(String gsdl3_home, String site_name, String collection, String interface_name, ArrayList<String> base_interfaces, String filename)
 	{
 
@@ -281,5 +281,5 @@
 		for (int i = 0; i < base_interfaces.size(); i++)
 		{
-			interface_home = interfaceHome(gsdl3_home, (String) base_interfaces.get(i));
+			interface_home = interfaceHome(gsdl3_home, base_interfaces.get(i));
 			stylesheet = new File(interface_home + File.separatorChar + "transform" + File.separatorChar + filename);
 			if (stylesheet.exists())
@@ -293,5 +293,5 @@
 	}
 
-	static public ArrayList<File> getStylesheetFiles(String gsdl3_home, String site_name, String collection, String interface_name, ArrayList base_interfaces, String filename)
+	static public ArrayList<File> getStylesheetFiles(String gsdl3_home, String site_name, String collection, String interface_name, ArrayList<String> base_interfaces, String filename)
 	{
 		ArrayList<File> stylesheets = new ArrayList<File>();
@@ -328,5 +328,5 @@
 			for (int i = 0; i < base_interfaces.size(); i++)
 			{
-				interface_home = interfaceHome(gsdl3_home, (String) base_interfaces.get(i));
+				interface_home = interfaceHome(gsdl3_home, base_interfaces.get(i));
 				stylesheet = new File(interface_home + File.separatorChar + "transform" + File.separatorChar + filename);
 				if (stylesheet.exists())
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSParams.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSParams.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSParams.java	(revision 25635)
@@ -75,9 +75,9 @@
 	public static final String EXTERNAL_LINK_TYPE_FRAMED = "frame";
 
-	protected HashMap param_map = null;
+	protected HashMap<String, Param> param_map = null;
 
 	public GSParams()
 	{
-		this.param_map = new HashMap(30);
+		this.param_map = new HashMap<String, Param>(30);
 
 		// add in all the standard params
@@ -135,5 +135,5 @@
 	public boolean setParamDefault(String name, String default_value)
 	{
-		Param p = (Param) this.param_map.get(name);
+		Param p = this.param_map.get(name);
 		if (p == null)
 			return false;
@@ -147,5 +147,5 @@
 		if (name.startsWith("p."))
 			return false;
-		Param p = (Param) this.param_map.get(name);
+		Param p = this.param_map.get(name);
 		if (p == null)
 			return true; // if things are not in here, always save.
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSXML.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSXML.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSXML.java	(revision 25635)
@@ -28,4 +28,6 @@
 import javax.xml.transform.TransformerFactory;
 import javax.xml.transform.Transformer;
+
+import java.io.Serializable;
 import java.io.StringWriter;
 import javax.xml.transform.stream.StreamResult;
@@ -299,5 +301,5 @@
 	}
 
-	public static HashMap extractParams(Element xml, boolean deep)
+	public static HashMap<String, Serializable> extractParams(Element xml, boolean deep)
 	{
 		return extractParams(xml, deep, null);
@@ -308,5 +310,5 @@
 	 * deep=true, extracts embedded params, otherwise just top level params
 	 */
-	public static HashMap extractParams(Element xml, boolean deep, String toFind)
+	public static HashMap<String, Serializable> extractParams(Element xml, boolean deep, String toFind)
 	{
 
@@ -326,5 +328,5 @@
 			params = xml.getChildNodes();
 		}
-		HashMap param_map = new HashMap();
+		HashMap<String, Serializable> param_map = new HashMap<String, Serializable>();
 		for (int i = 0; i < params.getLength(); i++)
 		{
@@ -354,8 +356,8 @@
 					String namespace = name.substring(0, pos);
 					name = name.substring(pos + 1);
-					HashMap map = (HashMap) param_map.get(namespace);
+					HashMap<String, String> map = (HashMap<String, String>) param_map.get(namespace);
 					if (map == null)
 					{
-						map = new HashMap();
+						map = new HashMap<String, String>();
 						param_map.put(namespace, map);
 					}
@@ -669,8 +671,8 @@
 	}
 
-	public static HashMap getChildrenMap(Node n)
-	{
-
-		HashMap map = new HashMap();
+	public static HashMap<String, Node> getChildrenMap(Node n)
+	{
+
+		HashMap<String, Node> map = new HashMap<String, Node>();
 		Node child = n.getFirstChild();
 		while (child != null)
@@ -856,5 +858,5 @@
 	}
 
-	public static Element createParameterDescription2(Document owner, String id, String display_name, String type, String default_value, ArrayList option_ids, ArrayList option_names)
+	public static Element createParameterDescription2(Document owner, String id, String display_name, String type, String default_value, ArrayList<String> option_ids, ArrayList<String> option_names)
 	{
 
@@ -872,6 +874,6 @@
 			{
 				Element e = owner.createElement(PARAM_OPTION_ELEM);
-				e.setAttribute(NAME_ATT, (String) option_ids.get(i));
-				e.appendChild(createDisplayTextElement(owner, GSXML.DISPLAY_TEXT_NAME, (String) option_names.get(i)));
+				e.setAttribute(NAME_ATT, option_ids.get(i));
+				e.appendChild(createDisplayTextElement(owner, GSXML.DISPLAY_TEXT_NAME, option_names.get(i)));
 				p.appendChild(e);
 			}
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSXSLT.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSXSLT.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GSXSLT.java	(revision 25635)
@@ -124,5 +124,5 @@
 	 * the files
 	 */
-	public static void absoluteIncludePaths(Document stylesheet, String gsdl3_home, String site_name, String collection, String interface_name, ArrayList base_interfaces)
+	public static void absoluteIncludePaths(Document stylesheet, String gsdl3_home, String site_name, String collection, String interface_name, ArrayList<String> base_interfaces)
 	{
 
@@ -151,8 +151,8 @@
 	 * metadata names into a Vector
 	 */
-	public static Vector extractWantedMetadata(Document stylesheet, String template_name)
+	public static Vector<String> extractWantedMetadata(Document stylesheet, String template_name)
 	{
 
-		Vector metadata = new Vector();
+		Vector<String> metadata = new Vector<String>();
 		Element base_node = stylesheet.getDocumentElement();
 		NodeList templates = base_node.getElementsByTagNameNS("*", "template");
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/MacroResolver.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/MacroResolver.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/MacroResolver.java	(revision 25635)
@@ -35,12 +35,12 @@
     public static final int TYPE_DICT = 2;
     
-    protected ArrayList text_macros = null;
-    protected ArrayList metadata_macros = null;
+    protected ArrayList<Macro> text_macros = null;
+    protected ArrayList<Macro> metadata_macros = null;
 
     String lang = null;
 
     public MacroResolver() {
-    	this.text_macros = new ArrayList();
-	this.metadata_macros = new ArrayList();
+    	this.text_macros = new ArrayList<Macro>();
+	this.metadata_macros = new ArrayList<Macro>();
     }
 
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/MyNodeList.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/MyNodeList.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/MyNodeList.java	(revision 25635)
@@ -27,8 +27,8 @@
 
 public class MyNodeList implements NodeList {
-    private ArrayList node_list = null;
+    private ArrayList<Node> node_list = null;
     
     public MyNodeList() {
-	node_list = new ArrayList();
+	node_list = new ArrayList<Node>();
     }
     public int getLength() {
@@ -38,5 +38,5 @@
     public Node item(int i) {
 	if (i<0 || i >= node_list.size()) return null;
-	return (Node)node_list.get(i);
+	return node_list.get(i);
     }
     
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/OAIXML.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/OAIXML.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/OAIXML.java	(revision 25635)
@@ -22,4 +22,5 @@
 
 import org.w3c.dom.*;
+
 import java.io.*;
 import java.net.*;
@@ -561,7 +562,7 @@
       return oai;
     }
-    public static HashMap getChildrenMapByTagName(Node n, String tag_name) {
+    public static HashMap<String, Node> getChildrenMapByTagName(Node n, String tag_name) {
 	
-	HashMap map= new HashMap();
+	HashMap<String, Node> map= new HashMap<String, Node>();
 	Node child = n.getFirstChild();
 	while (child!=null) {
@@ -622,6 +623,6 @@
       }
     }
-    public static HashMap getParamMap(NodeList params) {
-      HashMap map = new HashMap();
+    public static HashMap<String, String> getParamMap(NodeList params) {
+      HashMap<String, String> map = new HashMap<String, String>();
       for(int i=0; i<params.getLength(); i++) {
         Element param = (Element)params.item(i);
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/SimpleCollectionDatabase.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/SimpleCollectionDatabase.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/SimpleCollectionDatabase.java	(revision 25635)
@@ -154,9 +154,9 @@
 	{
 		StringBuilder valueToAdd = new StringBuilder();
-		Iterator i = info.getKeys().iterator();
+		Iterator<String> i = info.getKeys().iterator();
 		while (i.hasNext())
 		{
-			String currentKey = (String)i.next();
-			Vector currentValues = (Vector)info.getMultiInfo(currentKey);
+			String currentKey = i.next();
+			Vector<String> currentValues = (Vector<String>)info.getMultiInfo(currentKey);
 			
 			if(currentValues.size() == 0)
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/UserQueryResult.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/UserQueryResult.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/UserQueryResult.java	(revision 25635)
@@ -59,5 +59,5 @@
 		for (int i = 0; i < users.size(); i++)
 		{
-			result += ((UserTermInfo) users.elementAt(i)).toString() + ", ";
+			result += users.elementAt(i).toString() + ", ";
 		}
 
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/XMLTransformer.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/XMLTransformer.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/XMLTransformer.java	(revision 25635)
@@ -216,15 +216,15 @@
 	}
 
-	public Node transform(Document stylesheet, Document source, HashMap parameters)
+	public Node transform(Document stylesheet, Document source, HashMap<String, Comparable> parameters)
 	{
 		return transform(stylesheet, source, parameters, null, null);
 	}
 
-	public Node transform(Document stylesheet, Document source, HashMap parameters, Document docDocType)
+	public Node transform(Document stylesheet, Document source, HashMap<String, Comparable> parameters, Document docDocType)
 	{
 		return transform(stylesheet, source, parameters, docDocType, null);
 	}
 
-	protected Node transform(Document stylesheet, Document source, HashMap parameters, Document docDocType, Document resultNode)
+	protected Node transform(Document stylesheet, Document source, HashMap<String, Comparable> parameters, Document docDocType, Document resultNode)
 	{
 		try
Index: /main/trunk/greenstone3/src/java/org/greenstone/server/BaseServerSettings.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/server/BaseServerSettings.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/server/BaseServerSettings.java	(revision 25635)
@@ -202,5 +202,5 @@
 	return returnValues;
     }
-    protected void save(ScriptReadWrite scriptReadWrite, ArrayList newFileLines) {}
+    protected void save(ScriptReadWrite scriptReadWrite, ArrayList<String> newFileLines) {}
     protected abstract JPanel createServletPanel();
 
@@ -278,6 +278,6 @@
 
 	    if (has_changed) {
-		ArrayList oldFileLines = null;
-		ArrayList newFileLines = null;
+		ArrayList<String> oldFileLines = null;
+		ArrayList<String> newFileLines = null;
 		
 		ScriptReadWrite scriptReadWrite = new ScriptReadWrite();
Index: /main/trunk/greenstone3/src/java/org/greenstone/server/Server2.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/server/Server2.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/server/Server2.java	(revision 25635)
@@ -83,5 +83,5 @@
 				    config_properties.setProperty(url, URL_PENDING);
 				    ScriptReadWrite scriptReadWrite = new ScriptReadWrite();
-				    ArrayList fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
+				    ArrayList<String> fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
 				    scriptReadWrite.replaceOrAddLine(fileLines, url, URL_PENDING, true);
 				    scriptReadWrite.writeOutFile(config_properties_file, fileLines);
@@ -160,5 +160,5 @@
 		String hosts = inetAddress.getHostName();
 		ScriptReadWrite scriptReadWrite = new ScriptReadWrite();
-		ArrayList fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
+		ArrayList<String> fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
 		scriptReadWrite.replaceOrAddLine(fileLines, "hosts", hosts, true);
 		scriptReadWrite.writeOutFile(config_properties_file, fileLines);
@@ -175,5 +175,5 @@
 		config_properties.setProperty(url, URL_PENDING);
 		ScriptReadWrite scriptReadWrite = new ScriptReadWrite();
-		ArrayList fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
+		ArrayList<String> fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
 		scriptReadWrite.replaceOrAddLine(fileLines, url, URL_PENDING, true);
 		scriptReadWrite.writeOutFile(config_properties_file, fileLines);
@@ -355,5 +355,5 @@
 		    // write this updated port to the config file, since the configure target uses the file to run
 		    ScriptReadWrite scriptReadWrite = new ScriptReadWrite();
-		    ArrayList fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
+		    ArrayList<String> fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
 		    scriptReadWrite.replaceOrAddLine(fileLines, "portnumber", port, false); // write the correct port
 		    scriptReadWrite.writeOutFile(config_properties_file, fileLines);
@@ -377,10 +377,10 @@
     protected void preStop() {
 	ScriptReadWrite scriptReadWrite = new ScriptReadWrite();
-	ArrayList fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
+	ArrayList<String> fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
 
 	// Remove the url=... line, start searching from the end
 	boolean done = false;
 	for (int i = fileLines.size()-1; i >= 0 && !done; i--) {
-	    String line = ((String) fileLines.get(i)).trim();
+	    String line = fileLines.get(i).trim();
 	    if(line.startsWith(property_prefix+"url=")) {
 		fileLines.remove(i);
@@ -437,5 +437,5 @@
 
 	ScriptReadWrite scriptReadWrite = new ScriptReadWrite();
-	ArrayList fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
+	ArrayList<String> fileLines = scriptReadWrite.readInFile(BaseServer.config_properties_file);
 	scriptReadWrite.replaceOrAddLine(fileLines, property_prefix+"url", libraryURL, true);
 	scriptReadWrite.replaceOrAddLine(fileLines, "portnumber", port, false); // write the correct port
Index: /main/trunk/greenstone3/src/java/org/greenstone/server/Server2Settings.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/server/Server2Settings.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/server/Server2Settings.java	(revision 25635)
@@ -101,5 +101,5 @@
     }
 
-    public void save(ScriptReadWrite scriptReadWrite, ArrayList newFileLines) 
+    public void save(ScriptReadWrite scriptReadWrite, ArrayList<String> newFileLines) 
     {
 	// write only 1 or 0 (and not true or false) for Server2
Index: /main/trunk/greenstone3/src/java/org/greenstone/server/Server3Settings.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/server/Server3Settings.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/server/Server3Settings.java	(revision 25635)
@@ -22,5 +22,5 @@
     protected String servletDefault = null;
     protected JComboBox servlet_combobox;
-    protected HashMap url_mappings = null;
+    protected HashMap<String, String> url_mappings = null;
 
     public Server3Settings(BaseServer server) 
@@ -49,5 +49,5 @@
 	NodeList servlet_mappings = web_config.getElementsByTagName("servlet-mapping");
 	// make a little map class
-	url_mappings = new HashMap();
+	url_mappings = new HashMap<String, String>();
 	for (int i = 0; i < servlet_mappings.getLength(); i++) {
 	    Element map = (Element) servlet_mappings.item(i);
@@ -80,5 +80,5 @@
 	boolean hasChanged = false;
 	boolean requireRestart = false;
-	String urlMapping = (String)url_mappings.get(servlet_combobox.getSelectedItem());
+	String urlMapping = url_mappings.get(servlet_combobox.getSelectedItem());
 	if(urlMapping.endsWith("/*")) {	// urlmapping maybe something like "/library/*"
 	    urlMapping = urlMapping.substring(0, urlMapping.length()-2);
@@ -92,5 +92,5 @@
     }
 
-    public void save(ScriptReadWrite scriptReadWrite, ArrayList newFileLines) 
+    public void save(ScriptReadWrite scriptReadWrite, ArrayList<String> newFileLines) 
     {
 	String newAutoEnter = (new Boolean(autoEnter.isSelected())).toString();
@@ -101,5 +101,5 @@
 
 	String newServletDef = (String) servlet_combobox.getSelectedItem();
-	String servletDefName = (String) url_mappings.get(newServletDef);
+	String servletDefName = url_mappings.get(newServletDef);
 	if(servletDefName.endsWith("/*")) { // urlmapping maybe something like "/library/*"	    
 	  servletDefName = servletDefName.substring(0, servletDefName.length()-2);
Index: /main/trunk/greenstone3/src/java/org/greenstone/testing/ClassFinder.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/testing/ClassFinder.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/testing/ClassFinder.java	(revision 25635)
@@ -19,5 +19,5 @@
  */
 public class ClassFinder {
-    final private Vector classNameList = new Vector ();
+    final private Vector<String> classNameList = new Vector<String> ();
     final private int startPackageName;
 
@@ -78,5 +78,5 @@
      * Return the found classes.
      */
-    public Iterator getClasses () {
+    public Iterator<String> getClasses () {
         return classNameList.iterator ();
     }
Index: /main/trunk/greenstone3/src/java/org/greenstone/testing/TestCaseLoader.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/testing/TestCaseLoader.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/testing/TestCaseLoader.java	(revision 25635)
@@ -7,5 +7,5 @@
  */
 public class TestCaseLoader {
-    final private Vector classList = new Vector ();
+    final private Vector<Class> classList = new Vector<Class> ();
     final private String requiredType;
     
@@ -78,5 +78,5 @@
      * Obtain an iterator over the collection of test case classes loaded by <code>loadTestCases</code>
      */
-    public Iterator getClasses () {
+    public Iterator<Class> getClasses () {
         return classList.iterator ();
     }
Index: /main/trunk/greenstone3/src/java/org/greenstone/util/Configuration.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/util/Configuration.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/util/Configuration.java	(revision 25635)
@@ -42,5 +42,5 @@
 public class Configuration {
     
-    static private Hashtable hash = null;
+    static private Hashtable<String, String> hash = null;
 
     /** The first of three patterns used during tokenization, this pattern handles a comma separated list. */
@@ -53,5 +53,5 @@
     public Configuration() {
 	
-	hash = new Hashtable();
+	hash = new Hashtable<String, String>();
 	
 	
@@ -76,5 +76,5 @@
     /** Retrieve whether the named property is set or not */
     static public boolean get(String property) {
-	String value = (String)hash.get(property);
+	String value = hash.get(property);
 	return (value != null && value.equalsIgnoreCase("true"));
     }
@@ -82,5 +82,5 @@
     /** Retrieve the value of the named property as a String */
     static public String getString(String property) {
-	return (String)hash.get(property);
+	return hash.get(property);
     }
 
@@ -89,5 +89,5 @@
 	Locale result = Locale.getDefault();
 	try {
-	    String raw = (String) hash.get(property);
+	    String raw = hash.get(property);
 	    if (raw==null) {
 		return result;
@@ -113,5 +113,5 @@
     static public Color getColor(String property) {
 	Color result = Color.white; // Default
-	String raw = (String)hash.get(property);
+	String raw = hash.get(property);
 	if (raw == null || raw.equals("")) {
 	    return result;
Index: /main/trunk/greenstone3/src/java/org/greenstone/util/ScriptReadWrite.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/util/ScriptReadWrite.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/util/ScriptReadWrite.java	(revision 25635)
@@ -15,7 +15,7 @@
     }
 
-    public ArrayList readInFile(File file) {
+    public ArrayList<String> readInFile(File file) {
 	try {
-	    ArrayList fileLines = new ArrayList();
+	    ArrayList<String> fileLines = new ArrayList<String>();
 	    String oneLine = null;
 	    BufferedReader bufferedReader = new BufferedReader(new FileReader(file));
@@ -31,5 +31,5 @@
     }
 
-    public void writeOutFile(File file, ArrayList fileLines_in) {
+    public void writeOutFile(File file, ArrayList<String> fileLines_in) {
 	try {
 	    PrintWriter printWriter = new PrintWriter(new BufferedWriter(new FileWriter(file)));
@@ -44,5 +44,5 @@
     }
 
-    public ArrayList queryReplace(ArrayList fileLines_ex, String param,
+    public ArrayList<String> queryReplace(ArrayList<String> fileLines_ex, String param,
 				  String newValue) {
 	// only replace existing, don't append if param does not exist
@@ -52,5 +52,5 @@
     // if the parameter exists, then a replace is performed, else the parameter-value
     // is appended
-    public ArrayList replaceOrAddLine(ArrayList fileLines_ex, String param, String newValue, 
+    public ArrayList<String> replaceOrAddLine(ArrayList<String> fileLines_ex, String param, String newValue, 
 				      boolean replaceElseAdd) 
     {	
@@ -63,5 +63,5 @@
 
 	for (int i = 0; i < fileLines_ex.size(); i++) {
-	    oneLine = ((String) fileLines_ex.get(i)).trim();
+	    oneLine = fileLines_ex.get(i).trim();
 	    // oneLine_length = oneLine.length();
 	    StringTokenizer st = new StringTokenizer(oneLine, "=");
